#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os
import rospy
from sensor_msgs.msg import Image
import cv2
from cv_bridge import CvBridge
def operator():
    rospy.init_node('operator', anonymous=True)
    pub = rospy.Publisher('image_data', Image, queue_size=10)
    filepath = os.path.join(os.path.dirname(os.path.abspath(__file__)), '/home/ubuntu/Pictures/amg8833image.png')
    im = cv2.imread(filepath, cv2.IMREAD_COLOR)
    bridge = CvBridge()
    msg = bridge.cv2_to_imgmsg(im, encoding="bgr8")
    rate = rospy.Rate(1)
    pub.publish(msg)
    rate.sleep()
if __name__ == '__main__':
    while not rospy.is_shutdown():
        try:
            operator()
        except:
            pass